PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zgeqrf | ( | int | M,
|  | int | N,
|  | PLASMA_Complex64_t * | A,
|  | int | LDA,
|  | PLASMA_desc * | descT
| ) |  |

PLASMA_zgeqrf - Computes the tile QR factorization of a complex M-by-N matrix A: A = Q * R.

Parameters

  [in] | M | The number of rows of the matrix A. M >= 0.
  [in] | N | The number of columns of the matrix A. N >= 0.
  [in,out] | A | On entry, the M-by-N matrix A. On exit, the elements on and above the diagonal of the array contain the min(M,N)-by-N upper trapezoidal matrix R (R is upper triangular if M >= N); the elements below the diagonal represent the unitary matrix Q as a product of elementary reflectors stored by tiles.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).
  [out] | descT | On exit, auxiliary factorization data, required by PLASMA_zgeqrs to solve the system of equations.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_zgeqrf_Tile
  PLASMA_zgeqrf_Tile_Async
  PLASMA_cgeqrf
  PLASMA_dgeqrf
  PLASMA_sgeqrf
  PLASMA_zgeqrs